Delete submissions in bulk
curl --request DELETE \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"ids": [
"2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21",
"5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10"
]
}
'const options = {
method: 'DELETE',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21', '5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10']
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy"
payload = { "ids": ["2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21", "5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10"] }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"trashed_count": 123
}{
"error": "Form does not exist."
}Submissions
Delete submissions in bulk
Move many submissions to the trash. IDs that do not belong to the form, or are already in the trash, are skipped. You can restore them from the trash in NeetoForm.
DELETE
/
forms
/
{form_id}
/
submissions
/
bulk_destroy
Delete submissions in bulk
curl --request DELETE \
--url https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"ids": [
"2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21",
"5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10"
]
}
'const options = {
method: 'DELETE',
headers: {'X-Api-Key': '<x-api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ids: ['2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21', '5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10']
})
};
fetch('https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://{your-subdomain}.neetoform.com/api/external/v2/forms/{form_id}/submissions/bulk_destroy"
payload = { "ids": ["2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21", "5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10"] }
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text){
"trashed_count": 123
}{
"error": "Form does not exist."
}Replace
Learn how to find your subdomain in Workspace subdomain.
{your-subdomain} with your workspace’s subdomain. Learn how to find your subdomain in Workspace subdomain.
Headers
Use the X-Api-Key header to provide your workspace API key. Refer to Authentication for more information.
Path Parameters
Unique ID of the form for which you want to retrieve submissions. Refer to Getting the Form ID section for detailed instructions.
Body
application/json
IDs of the submissions to delete.
Example:
[
"2c7f4a1e-6a0b-4d7e-9c55-1b3c9f0d8e21",
"5d1b7c3a-0e4f-4a8b-8f12-7a6c2e9b4d10"
]
Response
OK - Submissions moved to the trash
Number of submissions moved to the trash.